Bug 230231 - Compositing window managers crash with XScreenSaver
Compositing window managers crash with XScreenSaver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-27 11:54 EST by Eric Buist
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 05:03:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Buist 2007-02-27 11:54:09 EST
Description of the problem:
Compositing window managers such as Compiz and Beryl often cause system crash
when used with XScreenSaver. There are two types of system crashes: lockups, and
memory leaks.
When I start Compiz or Beryl, everything seems to work well for a certain time.
However, as soon as XScreenSaver starts up, things can go bad: when I press a
key or move the mouse to exit the screen saver, the pointer shows up, can move,
but the screen saver freezes, and the system is blocked. But any background
process, such as XMMS playing music, continues working. In that case, I can only
move the mouse. Clicking and pressing keys have absolutely no effects. Even the
CTRL-ALT-Backspace key combination has no effect. The only solution is an
hardware reset.
When the memory leak happens, again at the time I exit a screen saver, the
system starts swapping, and never stops. The intensive hard disk activity can
disturb running processes. Sometimes, the system finally stops swapping, and I
can exit the screen saver. But if I look at the memory footprint of the window
manager, using top, I discover that it has eaten more than 500Mb of RAM! The
only way to clear the memory leak is to restart the window manager.
I have a NVIDIA GeForce 6600 graphic card with 256MB of video RAM, and I use the
proprietary driver from NVIDIA. Without this driver, I would not have any 3D
acceleration. I would be in the exact same situation with a recent ATI graphic
board (no 3D with Xorg's driver, and no GLX_Texture_from_pixmap with ATI's
proprietary driver), and I would have to change my motherboard to try with an
onboard Intel GMA! Of course, I will not downgrade my NVIDIA graphic card for a
GMA. The problem only affects compositing window managers; everything else works
well.
My system is up-to-date according to Yum, and I recently received updates for
Compiz and Beryl. The bug persists, and seems specific to some hardware. Maybe
it is an x86_64 issue?

Version-Release number of selected component (if applicable):
Fedora Core 6 x86_64
Xorg 7.1
Compiz 0.3.6
Beryl 0.1.9999.2-2
XScreenSaver 5.01
NVIDIA driver 1.0.9746

How reproducible:
The system crashes happen ramdonly, not with a specific screen saver.

Steps to Reproduce:
1. Start a compositing window manager such as Compiz or Beryl.
2. Start XScreenSaver
3. Exit from the screen saver after a certain time
  
Actual results:
Sometimes, system crash or memory leak

Expected results:
The system should return from the screen saver without crashing.

Additional info:
This is a persistent bug that was there since the release of Fedora Core 6.
AIGLX is one of the main new features of FC6, and it does not work with NVIDIA
graphic cards, which is extremely restrictive. Moreover, AIGLX is the only
affordable solution to get windows effects with PCs not originally equipped with
Windows Vista. If that would work better only with Xgl, this would be a good
thing to have Xgl on the Core or Extras repositories, and maybe a tool to
convert xorg.conf to Xgl's specific configuration file, if appropriate.
Comment 1 J. Bruce Fields 2007-03-20 15:52:44 EDT
Leak is reproduceable with an "Intel Corporation Mobile 945GM/GMS/940GML Express
Integrated Graphics Controller (rev 03)" on a thinkpad x60t, with: 

compiz-0.3.6-2.fc6
xscreensaver-base-5.01-6.fc6
xscreensaver-extras-5.01-6.fc6
xscreensaver-gl-extras-5.01-6.fc6
xscreensaver-gl-extras-gss-5.01-6.fc6
gnome-screensaver-2.16.1-4.fc6
xscreensaver-extras-gss-5.01-6.fc6
xorg-x11-server-Xorg-1.1.1-47.7.fc6

After screensaver has run for a while, moving the mouse gets back the mouse
pointer but nothing else, and hard drive noise and activity light suggest
excessive swapping.  Usually desktop returns eventually, or I manage to ssh in
as root or get to a text console, in which case top shows compiz with a gig or
more of memory ("RES"); killing it restores everything to normal.
Comment 2 James M. Leddy 2007-07-04 19:46:07 EDT
I can report the same as above with the same Intel chipset.  I have a Thinkpad
T60.  In addition I can sometimes manage to crash my machine, especially with
the frame theme selected.
Comment 4 Matěj Cepl 2007-12-10 04:22:04 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 5 J. Bruce Fields 2007-12-10 09:38:26 EST
Unfortunately, I no longer have that laptop to test with.
Comment 6 Matěj Cepl 2007-12-11 05:03:32 EST
Closing as INSUFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.